.sticky_row .filter-head.flex-end {
    /* top: 0; */
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    z-index: 99;
    max-width: 1700px;
    margin: auto;
}

.filter-head.flex-end {
    padding: 15px 31px;
    background: rgba(245, 244, 247, 0.9) !important;
    border-radius: 30px;
}

.jewelry_box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    position: relative;
    width: 19%;
    padding: 10px 15px;
    /* flex: 1 18%; */
    /* box-shadow: 0px 1px 21px rgba(0,0,0,.2); */
    border-radius: 10px;
    border: 1px solid #E0E0E0;
    border-radius: 10px;
}

.product_action_box {
    /* padding-top: 15px; */
    text-align: center;
}

@media(max-width:575px) {
    #add_data {
        margin-left: 0px;
        margin-right: 0px;
    }

    .jewelry_box.product {
        flex: 0 100% !important;
    }

    .sticky_row .filter-head.flex-end {
        position: unset;
    }
}

select#sort_by {
    /* background: linear-gradient(to top right, #cff3ff 0%, #cff3ff 5%, #cff3ff 100%) !important; */
    border: 1px solid #000;
    font-weight: 500;
    font-size: 14px;
    border-radius: 30px !important;
    color: #333;
    height: auto;
    padding: 10px 5px;
    /* box-shadow: 0px 3px 1px 0px rgba(0,0,0,.26) !important; */
}

select#sort_by:hover {
    /* box-shadow: #6897a7 -1px 1px 4px -5px inset, #6897a7 1px -1px 6px -1px inset, #cff3ff 0px 0px 0px 0px !important; */
    background: #fff !important;
}

section#top-filter-jewelry .cover .scroll-images .d-flex button.btn {
    min-width: 200px;
    width: 100%;
}

section#top-filter-jewelry .cover .scroll-images .d-flex {
    gap: 20px;
}

div#add_data {
    justify-content: center;
    align-items: center;
}

div#add_data:before {
    content: "";
    display: none;
}

.filter-head {
    gap: 10px;
}

@media (max-width: 1300px) {
    .up_down_button {
        left: 0px !important;
    }

    .up_down_button svg#arrowIcon {
        top: -5px !important;
    }

    .up_down_button button#scrollButton {
        margin-top: 15px !important;
    }

    .spacer-bottom {
        text-align: center;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

@media(max-width:1200px) {
    .d-flex.dtr {
        justify-content: flex-start !IMPORTANT;
    }
}

@media(max-width:991px) {
    .filter-head {
        flex-wrap: wrap;
    }

    select#sort_by {
        width: 162px;
    }
}

/* @media(max-width:660px) {
    .up_down_button { display: none; }
} */

@media(max-width:767px) {
    .flex-grow {
        margin: 10px 0px;
    }

    /* .input-group.input-group-sm {margin-top: 45px;} */
    /* .filter_sort {margin-top:30px;text-align: right;} */
    /* .filter-head.flex-end {margin: -55px 470px 0px auto;width:36%;} */
    .jewelry_box {
        flex: 0 45%;
    }

    .sticky_row .filter-head.flex-end {
        position: unset;
    }

    .filter-head {
        gap: 5px;
        justify-content: center;
    }

    .d-flex.dtr {
        justify-content: center !IMPORTANT;
    }

    .filter_sort {
        margin-left: unset;
        text-align: center;
    }

    .filter-head.flex-end {
        justify-content: center !important;
    }
}

/* ----btn up arrow */
.up_down_button {
    position: absolute;
    /* left: 0; */
    right: -85px;
    bottom: 0px;
}

.up-dn-btn {
    position: relative;
}

.up_down_button button#scrollButton {
    display: inline-block;
    background: #1667BA;
    /* box-shadow: 0px 3px 1px 0px rgba(0,0,0,.26) !important; */
    width: 45px;
    height: 37px;
    text-align: center;
    border-radius: 4px;
    /* position: fixed; */
    border: 0px;
    right: 338px;
    transition: background-color .3s, opacity .0s, visibility .0s;
    margin-top: 8px;
}

.up_down_button svg#arrowIcon {
    font-size: 16px !important;
    width: 24px;
    height: 24px;
    position: absolute;
    top: -5px;
    bottom: 0px;
    left: -10px;
    right: 0px;
    fill: #fff;
}

/* ---- */
.range-flt {
    margin-bottom: 20px;
    width: 100%;
    /* margin-top: 30px; */
}

.top-tool-black {
    top: 6px;
}

.row.ticker marquee {
    color: #0a3a7b;
    font-size: 14px;
    /* padding: 10px; */
}

video.video-hover {
    position: absolute;
    z-index: 1;
    height: fit-content;
    width: 100%;
    top: 0;
    opacity: 0;
}

.product_img:hover .video-hover {
    opacity: 1;
}

#top-filter-jewelry .cover {
    padding: 0px 0px;
    position: relative;
    /* margin-top: 100px; */
}

#top-filter-jewelry .cover .scroll-images {
    padding: 0px 32px;
    width: 100%;
    height: auto;
    display: flex;
    flex-wrap: nowrap;
    scroll-behavior: smooth;
    -webkit-overflow-scrolling: touch;
    justify-content: center;
    margin: 30px 0;
}

#top-filter-jewelry .cover .child {
    height: auto;
    margin: 2px 3px;
    overflow: hidden;
    /* padding: 0PX 6px; */
    width: 130px;
    position: relative;
    border: 2px solid #ccc;
    border-radius: 10px;
    background: #fff;
    box-shadow: 0px 3px 1px 0px rgb(0 116 149 / 26%);
    transition: all 0.2s ease-in-out;
}

#top-filter-jewelry .cover .child:hover {
    box-shadow: none;
}

#top-filter-jewelry .cover .scroll-images>* {
    flex: 0 0 auto;
}

#top-filter-jewelry .cover .shape-detail img {
    padding: 0px 10px;
}

#top-filter-jewelry .cover .img-fluid {
    max-width: 100%;
    height: auto;
}

#top-filter-jewelry .cover .child .shape-detail p {
    margin-bottom: 0px;
    font-size: 15px;
    font-weight: 500;
    line-height: 20px;
    padding-bottom: 10PX;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: #000;
}

#top-filter-jewelry .cover .shape-detail.text-center svg {
    width: 50px !important;
    height: 50px !important;
}

.child.main-category.active {
    /* border-radius: 10px; */
    border: 2px solid #0E67BD !important;
    background: #EDF6FF !important;
}

/* #product-showcase .border-fullpage { background: #fff; box-shadow: 0px 0px 10px 3px #eeeeee; margin: 20PX 0PX 20px 0PX; padding: 15px; padding-bottom: 10px; border-radius: 20px; border: 1px solid #bdbdbd; } */
.custom-accordion .accordion-body {
    background: transparent !important;
    width: 100%;
    padding: 0;
}

.custom-accordion .accordion-item {
    border-bottom: none !important;
}

#product-showcase .heading_label {
    color: #000000b8;
    margin: 0px 0px 7px 0px;
    text-transform: uppercase;
    font-size: 15px;
    font-weight: 600;
    line-height: 18px;
    white-space: nowrap;
    height: fit-content;
    background: transparent;
    width: 140px;
}

#product-showcase .jewelry_row .sub_category .c_first_row {
    width: 100%;
    padding: 0;
    /* display: flex; */
    gap: 10px;
    align-items: center;
    margin-bottom: 20px;
    flex-wrap: wrap;
    display: flex;
    /* grid-template-columns: repeat(auto-fit, minmax(103px, 1fr)); */
}

/* #product-showcase .jewelry_row ul li:first-child {
    border-radius: 6px 0 0 6px;
} */

#product-showcase .jewelry_row ul li:last-child {
    border-right: 2px solid #ccc;
}

#product-showcase ul li {
    list-style-type: none;
    text-transform: capitalize;
    position: relative;
    background: #fff;
    cursor: pointer;
    font-size: 13px;
    font-weight: 500;
    text-align: center;
    /* box-shadow: 0px 1px 10px 0px #a9a9a945; */
    border-right-color: #6a6a6a;
    /* height: 45px; */
    width: 163px;
    border: 2px solid #ccc;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border-right: none; */
    border-radius: 5px;
    padding: 6px 10px;
    box-shadow: 0px 3px 1px 0px rgb(0 116 149 / 26%);
    transition: all 0.2s ease-in-out;
}

#product-showcase ul li:hover {
    box-shadow: none;
}

.custom-accordion .accordion-item.category-section {
    display: flex;
}

.custom-accordion .active .accordion-body {
    display: block;
}

.custom-accordion {
    border-top: none !important;
    margin-top: 30px;
}

#product-showcase .heading_label span.accordion-icon {
    display: none;
}

#product-showcase .jewelry_row ul li input[type=checkbox],
#product-showcase .card-box ul li input[type=checkbox],
#product-showcase .shape-detail input[type=checkbox] {
    box-sizing: border-box;
    padding: 0;
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
}

#product-showcase .custom_text {
    font-size: 14px;
    color: #000;
    font-weight: 500;
    line-height: normal;
    text-transform: uppercase;
    margin-bottom: 0px;
}

#product-showcase .jewelry_row ul li:last-child {
    border-radius: 0 6px 6px 0;
}

#product-showcase .jewelry_row ul {
    padding: 0px;
}

#product-showcase .jewelry_row .stock-list li {
    border: none !important;
    width: 100%
}

#product-showcase .jewelry_row .range-slider ul li {
    border: none !important
}

#product-showcase .jewelry_row .range-slider ul li .c_first_row {
    margin: 0px !important;
}

#product-showcase .jewelry_row .stock-list li label,
#product-showcase .jewelry_row .stock-list li label input {
    width: 100%;
}

#product-showcase .jewelry_row .stock-list li label input {
    height: 45px;
    border-radius: 6px;
    border: 1px solid #ccc;
}

#product-showcase .jewelry_row .range-slider ul li .c_first_row button,
#product-showcase .jewelry_row .range-slider ul li .c_first_row input {
    border: 1px solid #ccc;
    height: 45px;
    text-align: center;
    background: #fff;
    color: #000;
}

#product-showcase .jewelry_row .range-slider ul li .c_first_row input {
    width: 150px
}

#product-showcase .jewelry_row .range-slider ul li .c_first_row button {
    width: 30px;
    background: #cccccc73;
    color: red;
}

#product-showcase .jewelry_row .range-slider ul li .c_first_row button.minus_new {
    border-radius: 6px 0px 0px 6px;
}

#product-showcase .jewelry_row .range-slider ul li .c_first_row button.plus_new {
    border-radius: 0px 6px 6px 0px;
}

#product-showcase .jewelry_row ul li.active {
    border: 2px solid #0E67BD !important;
    color: #fff;
    background: #EDF6FF;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 9%);
    /* border-right: 1px solid #fff !important; */
}

#product-showcase .jewelry_row .filter_sort {
    text-align: end;
}

#product-showcase .jewelry_row .filter_sort .btn {
    box-shadow: none;
}

.diamond-found {
    font-size: 18px;
    color: #535353 !important;
}

.btn {
    box-shadow: none !important;
    border-radius: 30px !important;
    min-width: 148px;
    position: relative;
    padding: 3px 3px;
    text-transform: capitalize;
    border: 2px solid #0E67BD !important;
    border-radius: 30px;
    /* font-weight: 600; */
    /* min-width: 60px; */
    text-align: center;
    color: #333;
    margin: 0;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
    line-height: 19px;
    box-shadow: none !important;
    padding: 3px !important;
    justify-content: center;
}

.btn p {
    color: #FFF !important;
    background: linear-gradient(80deg, #99C5EC 20%, #73ABDB 100%) !important;
    width: 100%;
    display: flex;
    height: 35px;
    border-radius: 30px;
    padding-top: 8px;
    padding-bottom: 8px;
    justify-content: center;
    border: none !important;
    /* font-size: 13px; */
    /* text-transform: uppercase; */
    gap: 10px;
    align-items: center;
    margin-bottom: 0px;
}

.custom-container {
    max-width: 1670px !important;
}

label.check-li {
    width: 100%;
    text-transform: uppercase;
    font-size: 14px;
    color: #000;
}

body {
    margin: 0;
    background: url(../../images/background.jpg) !important;
    background-size: cover !important;
    font-family: "Nunito Sans", sans-serif !important;
    /* overflow-x: hidden; */
    font-weight: 500;
    background-attachment: fixed !important;
}

.total-header {
    /* margin: 15px 0px 0px 0px; border: 1px solid #bdbdbd; border-radius: 20px; text-align: center; text-transform: uppercase; padding: 0px 15px; background: #fff; */
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    margin: 0;
}

.total-header .filter_box {
    /* margin-bottom: 15px; */
    /* border: 1px solid #bdbdbd; */
    /* border-radius: 20px; */
    /* text-align: center; */
    text-transform: uppercase;
    padding: 5px 15px 20px 15px;
    /* background: #fff; */
    /* margin-bottom: 0px; */
    width: 350px !important;
    /* width: 100% !important; */
}

button#btn-search {
    position: absolute;
    top: 10px;
    right: 10px;
    z-index: 9;
    /* background: red; */
}

.all-jewelry-recode .btn p {
    gap: 1px !important
}

.btn-default:hover {
    background-color: #fff !important;
    border-color: #000 !important;
}

.diamond-detail-sort {
    position: relative;
    padding: 15px;
    background: rgba(245, 244, 247, 0.7) !important;
    border-radius: 30px;
    margin-top: 20px;
}

.d-flex {
    display: flex;
    align-items: center;
    gap: 10px;
}

.child .shape-detail svg {
    margin: 10px !important;
}

.filter_sort {
    display: flex;
    justify-content: end;
    gap: 10px;
}

#jewelry_modal .modal-dialog {
    max-width: 1700px;
    width: 100%;
    border: none;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
    margin-top: 70px;
}

#jewelry_modal .modal-content {
    position: relative;
    background-color: #fff;
    background-clip: padding-box;
    border: none !important;
    border-radius: 6px;
    box-shadow: none !important;
    outline: 0;
}

#jewelry_modal .modal-content .modal-title {
    font-size: 20px;
    text-transform: uppercase;
    font-weight: 500;
}

#jewelry_modal.modal.fade .close {
    font-size: 33px;
    font-weight: 600;
    opacity: 1;
    color: #000;
    margin-top: 0 !important;
    border: 1px solid #fff !important;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px !important;
    border-radius: 50%;
    padding: 0px !important;
    width: 40px;
    height: 40px;
    position: absolute;
    right: 15px;
}

#jewelry_modal .modal-footer {
    text-align: center;
}

div#jewelry_modal {
    background: #0000009e;
}

.diamond-detail-sort.sticky {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    max-width: 1700px;
    width: 100%;
    z-index: 1050;
    opacity: 1;
    background: rgba(245, 244, 247) !important;
    margin: auto;
}

@media (max-width: 1534px) {
    .total-header .filter_box {
        width: 300px !important;
    }
}

@media (max-width: 1370px) {
    .total-header .filter_box {
    width: 250px !important;
}
}
@media (max-width: 1301px) {
    button.dropdown-toggle {
        min-width: 85px;
        font-size: 13px;
    }
}

@media (max-width: 1175px) {
    .btn {
        min-width: 100px;
        font-size: 12px !important;
    }
}

@media (max-width: 991px) {
    #product-showcase .jewelry_row .sub_category .c_first_row {
        flex-wrap: wrap;
    }

    /* #product-showcase ul li { width: 83px; } */
    /* #product-showcase ul li label { font-size: 11px !important; } */
}

/* .up-dn-btn { position: relative; } */
.dia-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgb(255 255 255 / 40%);
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    transition: opacity 0.4s ease;
    z-index: 9;
}

.jewelry_box.product:hover .dia-overlay {
    opacity: 1;
}

.dia-detail span {
    color: #000 !important;
    background: linear-gradient(80deg, #99C5EC 20%, #73ABDB 100%) !important;
    width: 100%;
    display: flex;
    height: 35px;
    border-radius: 30px;
    padding-top: 8px;
    padding-bottom: 8px;
    justify-content: center;
    border: none !important;
}

li.list-inline.position-relative.border.py-1.px-2.filter-li {
    display: flex;
    gap: 5px;
}

li.list-inline.position-relative.border.py-1.px-2.filter-li img {
    height: 30px;
    width: 30px;
    object-fit: contain;
}

.total-header .filter_box .range-flt span.irs.js-irs-1 .irs-bar,
.total-header .filter_box .range-flt span.irs.js-irs-2 .irs-bar,
.total-header .filter_box .range-flt span.irs.js-irs-3 .irs-bar,
.total-header .filter_box .range-flt span.irs.js-irs-0 .irs-bar {
    box-shadow: none;
}

div#filterSticky .row {
    align-items: center;
    display: flex;
}

.jewelry_box.product .product_img .dia-overlay {
    flex-wrap: wrap;
    flex-direction: row;
    gap: 10px;
    align-items: baseline;
    justify-content: center;
}
.jewelry_box.product .product_img .dia-overlay a {
    min-width: 85px !important;
}
.jewelry_box.product .product_img .dia-overlay a span {
    padding: 0 !important;
    font-size: 12px !important;
    height: 25px !important;
}
div#department_filter div#earring,
div#department_filter div#bracelet,
div#department_filter div#pendant,
div#department_filter div#Ring {
    display: flex;
}
div#department_filter div#earring .d-flex.flex-nowrap.c_row_Section,
div#department_filter div#bracelet .d-flex.flex-nowrap.c_row_Section,
div#department_filter div#pendant .d-flex.flex-nowrap.c_row_Section,
div#department_filter div#Ring .d-flex.flex-nowrap.c_row_Section {
    width: stretch;
}
/* div#department_filter {
    margin-top: 30px;
} */
#jewelly-stock #jewelryDetails .product-gallery ul li#slide_0 {
    line-height: 0;
}
div#jewelry_modal .modal-content {
    margin: 0 30px;
}

@media(max-width:1640px) {

    #add_data {
        gap: 15px;
    }
}

@media(max-width:1400px) {
        #product-showcase ul li {
    width: 105px;
        padding: 6px;
}
    #product-showcase .jewelry_row .sub_category .c_first_row li label {
        font-size: 10px;
    }

    #product-showcase .jewelry_row .sub_category .c_first_row li img {
        height: 15px;
        width: 15px;
    }

    #product-showcase .jewelry_row .sub_category .c_first_row {
        grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
    }
}

@media(max-width:1250px) {
    .jewelry_box {
        width: 23%;
    }
}

@media(max-width:1200px) {
    #product-showcase .jewelry_row .sub_category .c_first_row {
        grid-template-columns: repeat(auto-fit, minmax(100px, 0fr));
        gap: 10px;
    }

    #product-showcase ul li {
        border-right: 2px solid #ccc;
    }
}

@media(max-width:992px) {
    .d-flex.crtw {
        justify-content: center !IMPORTANT;
    }

    .jewelry_box {
        width: 31%;
    }
}

@media(max-width:767px) {
    #jewelry_modal .modal-dialog,
    div#jewelry_modal .modal-content {
    margin: 0;
}
    .total-header .d-flex.crt {
    justify-content: center !IMPORTANT;
}
    div#filterSticky .row .filter_sort a.btn {
        height: fit-content;
    }

    div#filterSticky .row .filter_sort select#sort_by {
        margin: 0;
    }

    div#filterSticky .row {
        flex-direction: column;
        gap: 10px;
        margin: 0;
    }

    div#filterSticky .row>* {
        width: 100% !important;
    }

    #top-filter-jewelry .cover .child {
        width: 90px;
    }

    #top-filter-jewelry .cover .shape-detail.text-center svg {
        width: 40px !important;
        height: 40px !important;
    }

    #top-filter-jewelry .cover .child .shape-detail p {
        font-size: 12px;
    }
}

@media(max-width:576px) {
    div#compare-list-page .modal-header div {
    width: 100%;
}
    div#compare-list-page .modal-header {
    align-items: baseline;
    flex-direction: column;
    gap: 20px;
}
    .c_head {
    font-size: 12px;
}
    div#compare-list-page .modal-body {
    padding: 15px 0;
}
    .diamond.column.labels.jewl-comp{
        min-width: 130px !important;
    }
    div#department_filter div#earring, div#department_filter div#bracelet, div#department_filter div#pendant, div#department_filter div#Ring {
    flex-direction: column;
}
    #product-showcase .jewelry_row .sub_category .c_first_row {
        grid-template-columns: repeat(auto-fit, minmax(90px, 0fr));
    }

    #product-showcase ul li {
        height: 35px;
    }

    .total-header .filter_box {
        width: 300px !important;
    }

    div#jewelry_modal .modal-dialog {
        margin-left: 0;
        margin-right: 0;
    }

    div#jewelry_modal .modal-body {
        padding: 0;
    }

    div#jewelry_modal section#top-filter-jewelry {
        margin-bottom: 15px;
    }

    .d-flex.crtw.flx-cl {
        flex-direction: column;
        margin-top: 20px;
    }

    #jewelly-stock #jewelryDetails .product-gallery li img {
        width: 100%;
    }

    #jewelly-stock #jewelryDetails .product-gallery li video {
        width: 100%;
        height: 100%;
    }

    #jewelly-stock #jewelryDetails td {
        font-size: 14px !important;
    }

    #jewelly-stock .modal-dialog.c-modal-dialog {
        margin: 0;
        margin-top: 20px !important;
    }

    #jewelly-stock #jewelryDetails .product-gallery ul.slide_list_icon li {
        height: 70px;
        width: 70px;
    }

    #jewelly-stock #jewelryDetails .product-gallery .slide_list_icon {
        flex-direction: row;
        gap: 10px;
    }

    #jewelly-stock #jewelryDetails .product-gallery {
        flex-direction: column;
    }

    .filter-head .flex-grow .dropdown button.btn-default.dropdown-toggle {
        width: 100%;
    }

    .filter-head .flex-grow {
        flex: auto;
        margin: 0 !IMPORTANT;
    }

    .diamond-detail-sort {
        padding: 0;
    }

    select#sort_by {
        padding: 5px 5px;
    }

    div#filterSticky .row .filter_sort a.btn p {
        height: 25px;
    }

    .image-icon .img_icon a {
        width: 30px;
        height: 30px;
    }

    .image-icon .img_icon a svg {
        width: 18px !important;
        height: 18px !important;
    }

    .diamond-found {
        font-size: 14px;
    }

    #top-filter-jewelry .cover .shape-detail.text-center svg {
        width: 30px !important;
        height: 30px !important;
        margin-bottom: 0 !IMPORTANT;
    }

    #top-filter-jewelry .cover .child .shape-detail p {
        font-size: 10px;
    }

    #top-filter-jewelry .cover .child {
        width: 75px;
    }

    #product-showcase .heading_label {
        padding-left: 0;
        padding-bottom: 0;
    }

    .custom-accordion .accordion-item.category-section {
        flex-direction: column;
    }

    .d-flex.crt {
        flex-direction: column;
        margin-top: 20px;
    }
}

